## python-coverage 4.5.1+dfsg.1

=== debian/changelog ===
python-coverage (4.5.1+dfsg.1-1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Aug 2018 08:48:09 +0000

python-coverage (4.5.1+dfsg.1-1) unstable; urgency=medium

  * The “Ahmedur Rashid Chowdhury” release.
  * New upstream version.
    Highlights since previous release: none documented.
  * Consolidate the ‘override_dh_auto_build’ packaging target.
  * Use a null command for ‘clean’ during ‘Git-BuildPackage’.
  * Correct build dependencies for both arch-dependent and -independent.
    Closes: bug#901114. Thanks to Santiago Vila for the report.
  * Declare “Standards-Version: 4.1.5”.
  * Specify current URL for upstream source repository.
  * Improve consistency of copyright grant in Debian packaging.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Use standard Debian packaging tools to repack upstream source.
  * Convert UScan configuration to format version 4.
  * Remove specification of minimum Python versions.
    These are now satisfied by all currently supported Debian releases.

 -- Ben Finney <bignose@debian.org>  Sun, 15 Jul 2018 12:25:30 +1000
