## python-coverage 4.5.2%2Bdfsg.1

=== debian/tests/control ===
--- 
+++ 
@@ -9,23 +9,16 @@
 Tests: smoke-python3
 Depends:
     python3-coverage,
-    python3-pkg-resources
-
-Tests: smoke-python2
-Depends:
-    python-coverage,
-    python-pkg-resources
-
-Tests: smoke-pypy
-Depends:
-    pypy-coverage,
-    pypy-pkg-resources
+    python3-pkg-resources,
+    python3-all
 
 Test-Command:
     w3m -dump /usr/share/doc/python-coverage/html/index.html > /dev/null
 Depends:
     python-coverage-doc,
     w3m
+Restrictions:
+    build-needed
 
 Test-Command:
     file --brief /usr/share/doc/python-coverage/html/index.html
@@ -33,6 +26,8 @@
 Depends:
     python-coverage-doc,
     file
+Restrictions:
+    build-needed
 
 Tests: entry-point-scripts
 Depends:
@@ -52,7 +47,7 @@
 
 
 
-# Copyright © 2016–2018 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2019 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
