## python-coverage 4.5.2+dfsg.1

=== debian/changelog ===
python-coverage (4.5.2+dfsg.1-4ubuntu1) focal; urgency=medium

  * Drop build dependencies on python and python3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 13:16:23 +0100

python-coverage (4.5.2+dfsg.1-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:45:41 +0100

python-coverage (4.5.2+dfsg.1-4) unstable; urgency=high

  * Urgency “high” to restore dependency for other Python 2 packages.
    See bug#937665 discussion.
  * Build Python 2 and PyPy 2 binary packages.
    These still have reverse dependencies, during the Python 2 removal.
  * Exercise Python 2 and PyPy 2 packages in autopkgtest.

 -- Ben Finney <bignose@debian.org>  Mon, 11 Nov 2019 10:20:28 +1100

python-coverage (4.5.2+dfsg.1-3) unstable; urgency=medium

  * Specify the package build system does not require root privilege.
  * Specify that the documentation must be built to autopkgtest it.
  * Update the expected directory where documentation is installed.
    Closes: bug#944076.
    Thanks to Paul Gevers for the report and trouble-shooting.

 -- Ben Finney <bignose@debian.org>  Tue, 05 Nov 2019 11:10:34 +1100

python-coverage (4.5.2+dfsg.1-2) unstable; urgency=medium

  [ Ben Finney ]
  * Declare conformance to “Standards-Version: 4.4.1”.
    No additional changes required.
  * Remove declaration of minimum Python 2 versions.
    These are now satisfied by all currently supported Debian releases.
  * Declare Debhelper compatibility level 12.
  * debian/compat:
    * Remove obsolescent configuration file.
  * Don't build Python 2 or PyPy 2 binary packages.
    Closes: bug#937665.
  * Remove Python 2 and PyPy 2 autopkgtest code.
  * Remove build dependencies for Python environments not supported.

  [ Ondřej Nový ]
  * Build docs with Sphinx by using system Python.

 -- Ben Finney <bignose@debian.org>  Sun, 27 Oct 2019 13:57:10 +1100

python-coverage (4.5.2+dfsg.1-1) unstable; urgency=medium

  * The “وليد أبوالخير‎‎ (Waleed Sami Abulkhair)” release.
  * New upstream version.
    Highlights since previous release:
    * Upstream development hosting moved.
    * Namespace packages are supported on Python 3.7, where they used to
      cause TypeErrors about path being None.
    * Extend supported Python versions to include Python 3.8.
  * Update publication years for Debian packaging in copyright notices.
  * Update package source documentation for standard packaging tools.
  * debian/repack, debian/source_package_build.bash:
    * Remove unused custom ‘repack’ program.
  * Declare AutoPkgTest dependency on all relevant CPython packages.
    Closes: bug#915133. Thanks to Paul Gevers for the report.
  * Update Lintian override for new Python-version-specific filenames.
  * Declare “Standards-Version: 4.3.0”. No additional changes required.
  * Record upstream metadata in DEP-12 document.

 -- Ben Finney <bignose@debian.org>  Fri, 25 Jan 2019 11:58:58 +1100
