=== debian/control ===
--- 
+++ 
@@ -9,18 +9,17 @@
     python3-sphinxcontrib.spelling,
     python3-setuptools,
     python3-all-dev,
-    python3,
     python-setuptools,
-    python-all-dev (>= 2.6.6-3~),
-    python (>= 2.6.6-3~),
-    debhelper (>= 11~)
+    python-all-dev,
+    debhelper-compat (= 12)
 Build-Depends-Indep:
     pypy-setuptools,
     pypy
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Homepage: http://nedbatchelder.com/code/coverage/
 VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
+Rules-Requires-Root: no
 
 Package: python3-coverage
 Architecture: any
