=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 RST2MAN = rst2man
 
-SPHINX = sphinx-build
+SPHINX = python3 -m sphinx
 SPHINX_OPTS = -N
 
 
@@ -138,7 +138,7 @@
 
 
 
-# Copyright © 2010–2018 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2019 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
