=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # debian/watch
-# Debian UScan configuration for ‘python-coverage’ package.
+# Debian UScan configuration for this package.
 # Manual page: ‘uscan(1)’.
 
 # Version of UScan configuration format.
