## python-coverage 5.1%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 export PYBUILD_SYSTEM = distutils
 
 PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
-PYTHON2_PACKAGE_NAME = python-${PYBUILD_NAME}
 PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
 package_working_root = debian
 package_install_root = debian/{package}
@@ -38,9 +37,7 @@
 default_manpage_name = python-coverage${MANPAGE_SUFFIX}
 python3_command_names = $(sort $(notdir $(wildcard \
 	${package_working_root}/*/usr/bin/python3*-coverage)))
-python2_command_names = $(sort $(notdir $(wildcard \
-	${package_working_root}/*/usr/bin/python2*-coverage)))
-versioned_command_names = ${python3_command_names} ${python2_command_names}
+versioned_command_names = ${python3_command_names}
 versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
 	${versioned_command_names})
 versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
@@ -69,7 +66,7 @@
 
 
 %:
-	dh $@ --with python3,python2,pypy,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,pypy,sphinxdoc --buildsystem=pybuild
 
 
 
@@ -109,8 +106,6 @@
 	dh_auto_install --buildsystem=pybuild
 	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
 	    usr/bin/python-coverage usr/bin/pypy-coverage)
-	$(RM) $(addprefix ${package_working_root}/${PYTHON_PACKAGE_NAME}/, \
-	    usr/bin/python3*-coverage)
 	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
 	    usr/bin/python*-coverage)
 
@@ -138,7 +133,7 @@
 
 
 
-# Copyright © 2010–2019 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2020 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
