=== debian/changelog ===
python-coverage (5.1+dfsg.1-2) unstable; urgency=medium

  * The “Karl Karnadi” release.
  * Remove all packaging of Python 2 support.
    Closes: bug#937665. Thanks to Matthias Klose for the report.
  * Follow the installed documentation to ‘python-coverage-doc’ directory.
  * Override false-positive Lintian warnings about documentation files.

 -- Ben Finney <bignose@debian.org>  Sun, 06 Sep 2020 15:43:16 +1000

python-coverage (5.1+dfsg.1-1) unstable; urgency=medium

  * The “أحمد الشامري (Ahmad al-Shamri)” release.
  * New upstream version.
    Highlights since previous release:
    * Coverage report can now be produced in JSON format.
    * Data storage format is now an SQLite database.
    * Configuration can now be read from `pyproject.toml`.
    * Reporting on the context in which each line is executed.
    * Portable environment support: filenames stored as relative paths.
    * Python 2.6, 3.3 and 3.4 are no longer supported.
  * debian/patches/:
    * Refresh patches against current source.
  * Declare Debhelper compatibility level 13.
  * Declare conformance to “Standards-Version: 4.5.0”.
    No additional changes required.
  * Add build dependency for ‘sphinx_rst_builder’ extension.
  * Add build dependency for ‘sphinx_tabs’ extension.
  * Rename Debian-specific To Do document to conform with ‘dh_installdocs’.
  * Use only supported Python versions in the AutoPkgTest.
  * Update Lintian override for new Python-version-specific filenames.
  * Use current Homepage value for the upstream project.

 -- Ben Finney <bignose@debian.org>  Sun, 31 May 2020 11:04:08 +1000
