## python-coverage 6.2%2Bdfsg1

=== debian/changelog ===
python-coverage (6.2+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:47:26 +0000

python-coverage (6.2+dfsg1-2) unstable; urgency=medium

  * Correct autopkgtest control, for removal of ‘pypy-coverage’.
    Closes: bug#1003700. Thanks to Stefano Rivera for the report.

 -- Ben Finney <bignose@debian.org>  Fri, 14 Jan 2022 10:43:38 +1100

python-coverage (6.2+dfsg1-1) unstable; urgency=medium

  * The “Jerrie Cobb” release.
  * New upstream version.
    (Closes: bug#969617)
    Highlights since previous release:
    * Support Python versions 3.6 – 3.11.
    * Data collection is thread-safe.
    * The HTML report has been redesigned.
    * No longer use jQuery libraries for HTML reports.
      (Closes: bug#733031)
    * Emit messages describing where Coverage.py is writing its files.
    * Settings ‘skip_covered’ and ‘skip_empty’ can be specified
      separately for HTML report.
    * The report commands now have options ‘--precision’, ‘--sort’,
      ‘--no-skip-covered’.
    * The report skips branches if the source and destination line are
      not executed.
    * The report skips third-party packages.
    * The ‘combine’ command has new option ‘--keep’.
    * New ‘source_pkgs’ setting to specify only package names.
    * More consistent (machine-parseable) output for text report.
    * Support for Python 3.10 ‘match’/‘case’ syntax.
    * Environment variable ‘COVERAGE_RUN’ set when running code with
      Coverage.py.
    * Deprecate the ‘annotate’ feature.
  * Remove handling of non-free files that were removed upstream.
  * Remove handling of removed JavaScript libraries.
    (Closes: bug#728824, bug#991076)
  * Drop support for Python 2 PyPy.
  * debian/patches/03.remove-hotkeys.patch:
    * Remove patch for functionality no longer used.
  * debian/patches/series:
    * Re-sequence patches.

 -- Ben Finney <bignose@debian.org>  Sat, 01 Jan 2022 19:14:52 +1100

python-coverage (5.1+dfsg.1-3) unstable; urgency=medium

  * The “Claudia Maria D'Antona” release.
  * Rename default Git branch in official repository, to ‘main’.
  * Declare conformance to “Standards-Version: 4.6.0”.
    No additional changes required.
  * debian/patches/02.rename-public-programs.patch:
    * Update patch for removal of Python 2 support.

 -- Ben Finney <bignose@debian.org>  Sat, 01 Jan 2022 08:52:33 +1100
