=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 export PYBUILD_SYSTEM = distutils
 
 PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
-PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
 package_working_root = debian
 package_install_root = debian/{package}
 
@@ -105,9 +104,7 @@
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
 	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
-	    usr/bin/python-coverage usr/bin/pypy-coverage)
-	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
-	    usr/bin/python*-coverage)
+	    usr/bin/python-coverage)
 
 export PYBUILD_AFTER_INSTALL = \
 	$(INSTALL) --mode=u=rwx,go=rx --directory \
@@ -133,7 +130,7 @@
 
 
 
-# Copyright © 2010–2020 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
