=== debian/tests/control ===
--- 
+++ 
@@ -37,13 +37,11 @@
 Tests: module-scripts
 Depends:
     python3-coverage,
-    python3-all,
-    pypy-coverage,
-    pypy
+    python3-all
 
 
 
-# Copyright © 2016–2020 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2022 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
